[FLINK-29418][zookeeper] Add 3.8 support